Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGUserAgentGUIAdapter

    java.lang.Object
      org.apache.batik.swing.svg.SVGUserAgentAdapter
          org.apache.batik.swing.svg.SVGUserAgentGUIAdapter

All Implemented Interfaces:
  SVGUserAgent

    public class SVGUserAgentGUIAdapter

extends SVGUserAgentAdapter

One line Class Desc Methods users may want to implement: displayMessage

Field Summary
`Component` | `parentComponent`

Constructor Summary
`SVGUserAgentGUIAdapter(Component parentComponent)`

Method Summary
`void` | `displayError(Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayError(String message)` Displays an error message.
`void` | `displayMessage(String message)` Displays a message in the User Agent interface.
`void` | `showAlert(String message)` Shows an alert dialog box.
`boolean` | `showConfirm(String message)` Shows a confirm dialog box.
`String` | `showPrompt(String message)` Shows a prompt dialog box.
`String` | `showPrompt(String message, String defaultValue)` Shows a prompt dialog box.

Methods inherited from class org.apache.batik.swing.svg.SVGUserAgentAdapter
`checkLoadExternalResource, checkLoadScript, getAlternateStyleSheet, getBolderFontWeight, getDefaultFontFamily, getExternalResourceSecurity, getLanguages, getLighterFontWeight, getMedia, getMediumFontSize, getPixelToMM, getPixelUnitToMillimeter, getScriptSecurity, getUserStyleSheetURI, getXMLParserClassName, handleElement, isXMLParserValidating, openLink, supportExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentComponent

    public Component parentComponent

Constructor Detail

### SVGUserAgentGUIAdapter

    public SVGUserAgentGUIAdapter(Component parentComponent)

Method Detail

### displayError

    public void displayError(String message)

  Displays an error message.

  Specified by:
    `displayError` in interface `SVGUserAgent`
  Overrides:
    `displayError` in class `SVGUserAgentAdapter`

### displayError

    public void displayError(Exception ex)

  Displays an error resulting from the specified Exception.

  Specified by:
    `displayError` in interface `SVGUserAgent`
  Overrides:
    `displayError` in class `SVGUserAgentAdapter`

### displayMessage

    public void displayMessage(String message)

  Displays a message in the User Agent interface. The given message is typically displayed in a status bar.

  Specified by:
    `displayMessage` in interface `SVGUserAgent`
  Overrides:
    `displayMessage` in class `SVGUserAgentAdapter`

### showAlert

    public void showAlert(String message)

  Shows an alert dialog box.

  Specified by:
    `showAlert` in interface `SVGUserAgent`
  Overrides:
    `showAlert` in class `SVGUserAgentAdapter`

### showPrompt

    public String showPrompt(String message)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`
  Overrides:
    `showPrompt` in class `SVGUserAgentAdapter`

### showPrompt

    public String showPrompt(String message,
                             String defaultValue)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`
  Overrides:
    `showPrompt` in class `SVGUserAgentAdapter`

### showConfirm

    public boolean showConfirm(String message)

  Shows a confirm dialog box.

  Specified by:
    `showConfirm` in interface `SVGUserAgent`
  Overrides:
    `showConfirm` in class `SVGUserAgentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.